{"openapi":"3.0.0","info":{"title":"Partner API","description":"An API to let third parties communicate with PayFit","version":"0.0.0-semantic-release"},"servers":[{"url":"https://partner-api.payfit.com","description":"The PayFit API production server"}],"paths":{"/companies/{companyId}":{"get":{"operationId":"GET_company","summary":"Get Company 🌍","description":"Returns the basic information of the company.","tags":["Company"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"}],"responses":{"200":{"description":"The fetched company","content":{"application/json":{"schema":{"title":"company","type":"object","properties":{"id":{"type":"string","description":"Id of the company."},"name":{"type":"string","description":"Name of the company."},"country":{"type":"string","x-enum-name":"CountryEnum","enum":["FR","ES","DE","GB","IT"],"description":"Country of the company."},"nbActiveContracts":{"type":"integer","description":"Number of current active contracts within the company."}},"required":["id","name","country","nbActiveContracts"]},"examples":{"company":{"summary":"An example of company","value":{"id":"123456789","name":"Awesome company","country":"GB","nbActiveContracts":12}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":[]}]}},"/companies/{companyId}/billing-declarations":{"post":{"operationId":"POST_partner_declarations","summary":"Declare Partnership Data 🇫🇷","description":"Create declaration on a partner company for billing. (Only for partners)","tags":["Partners only"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"allOf":[{"type":"object","properties":{"monthOfApplication":{"type":"string","pattern":"^2\\d{3}(0[1-9]|1[0-2])$","description":"The month of declaration application. This must be in the format YYYYMM, January being the month \"01\".","example":202212}},"required":["monthOfApplication"]},{"anyOf":[{"type":"object","properties":{"quantityByProducts":{"type":"array","description":"Quantity for each product.","items":{"type":"object","properties":{"productName":{"type":"string","description":"The product name.","example":"meal-vouchers"},"quantity":{"type":"number","description":"The quantity of this product. This can be a number of employees, a MRR, a number of meals vouchers, etc.","example":1000}},"required":["productName","quantity"]},"required":["quantityByProducts"],"example":[{"productName":"meal-vouchers","quantity":10},{"productName":"health-insurance","quantity":5}]}}},{"type":"object","description":"Deprecated, use quantityByProducts instead","properties":{"employeesByProducts":{"type":"array","description":"Number of employees in the company per product.","items":{"type":"object","properties":{"productName":{"type":"string","description":"The product name.","example":"meal-vouchers"},"numberOfEmployees":{"type":"integer","description":"The number of employees for this product.","example":10}},"required":["productName","numberOfEmployees"]},"required":["employeesByProducts"],"example":[{"productName":"meal-vouchers","numberOfEmployees":10},{"productName":"health-insurance","numberOfEmployees":5}]}}}]}]}}}},"responses":{"204":{"description":"The declaration was correctly created","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":[]}]}},"/companies/{companyId}/payment-files":{"get":{"operationId":"GET_companyPaymentFile","summary":"Get payment file 🌍","description":"Returns the payment file of the company for a given month.","tags":["Company"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"},{"in":"query","name":"date","schema":{"type":"string","pattern":"^2\\d{3}(0[1-9]|1[0-2])$"},"required":true,"description":"The month to fetch the data for. This must be in the format YYYYMM, January being the month \"01\".","example":202212}],"responses":{"200":{"description":"The Payment file","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["payment-files:read"]}]}},"/companies/{companyId}/accounting":{"get":{"operationId":"GET_companyAccounting","summary":"Get accounting data 🇫🇷","description":"Returns accounting of the company for a given month. The data is structured as CSV.","tags":["Company"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"},{"in":"query","name":"date","schema":{"type":"string","pattern":"^2\\d{3}(0[1-9]|1[0-2])$"},"required":true,"description":"The month to fetch the data for. This must be in the format YYYYMM, January being the month \"01\".","example":202212}],"responses":{"200":{"description":"The accounting file","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"},"example":"\"EcritureDate\";\"ContractID\";\"AxeAnalytique1\";\"SectionAnalytique1\";\"CodeAnalytique1\";\"AxeAnalytique2\";\"SectionAnalytique2\";\"CodeAnalytique2\";\"AxeAnalytique3\";\"SectionAnalytique3\";\"CodeAnalytique3\";\"AxeAnalytique4\";\"SectionAnalytique4\";\"CodeAnalytique4\";\"EmployeLib\";\"CompteNum\";\"CompteLib\";\"Debit\";\"Credit\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6411000\";\"Salaires, appointements\";\"4500.00\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6411001\";\"Autres elements du brut\";\"44.51\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6413000\";\"Primes et gratifications\";\"724.00\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6414000\";\"Indemnites et avantages divers\";\"37.60\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6417000\";\"Avantages en nature\";\"78.00\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"4210000\";\"Personnel - remunerations dues\";;\"3753.78\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"4250000\";\"Personnel - Avances et acomptes\";;\"30.00\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"4310000\";\"Urssaf - charges\";;\"2075.02\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"4372000\";\"Caisse de retraite AGIRC-ARRCO - charges salariales\";;\"332.71\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"4374000\";\"Prevoyance - charges salariales\";;\"8.63\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"4375000\";\"Mutuelle - charges salariales\";;\"34.66\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";6251000;\"Voyages et deplacements\";\"37.60\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6417100\";\"Avantages en nature\";;\"78.00\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"4421000\";\"Prelevement a la source\";;\"882.50\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6583000\";\"Regularisation IJSS - moins perçu\";\"514.90\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6451000\";\"Cotisations Urssaf\";\"1296.29\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6458200\";\"Cotisations AGIRC-ARRCO\";\"498.70\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6458400\";\"Cotisations prevoyance\";\"64.47\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6458500\";\"Cotisations mutuelle\";\"51.76\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"6313000\";\"Formation professionnelle continue\";\"30.74\";\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"4372100\";\"Caisse de retraite AGIRC-ARRCO - charges patronales\";;\"498.70\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"4374100\";\"Prevoyance - charges patronales\";;\"64.47\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"4375100\";\"Mutuelle - charges patronales\";;\"51.76\"\n\"31/01/2020\";\"5dd272fd1cdb18010090e32d\";\"Team\";\"Sales Jetlang\";\"SalesJetlang\";\"Office\";\"paris\";\"paris\";\"Departement\";;;;;;\"Alice Adam\";\"4386000\";\"Organismes sociaux - charges a payer\";;\"30.74\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6411000\";\"Salaires, appointements\";\"149326.33\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6411001\";\"Autres elements du brut\";\"10.50\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6412000\";\"Conges payes\";\"8695.65\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6413000\";\"Primes et gratifications\";\"708.00\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6414000\";\"Indemnites et avantages divers\";\"156.00\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6417000\";\"Avantages en nature\";\"88.20\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4210000\";\"Personnel - remunerations dues\";;\"79615.29\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4310000\";\"Urssaf - charges\";;\"46277.76\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4372000\";\"Caisse de retraite AGIRC-ARRCO - charges salariales\";;\"2511.55\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4374000\";\"Prevoyance - charges salariales\";;\"46.28\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4375000\";\"Mutuelle - charges salariales\";;\"34.66\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";6251000;\"Voyages et deplacements\";\"66.00\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6417100\";\"Avantages en nature\";;\"88.20\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4378000\";\"Titres-restaurant - charges salariales\";;\"136.50\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6417200\";\"Avantages en nature - charges salariales\";;\"1000.00\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4421000\";\"Prelevement a la source\";;\"60674.34\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6451000\";\"Cotisations Urssaf\";\"31399.90\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6458200\";\"Cotisations AGIRC-ARRCO\";\"3764.77\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6458400\";\"Cotisations prevoyance\";\"121.35\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6458500\";\"Cotisations mutuelle\";\"51.76\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6476000\";\"Autres charges sociales - Titres restaurants\";\"105.00\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"6313000\";\"Formation professionnelle continue\";\"912.71\";\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4372100\";\"Caisse de retraite AGIRC-ARRCO - charges patronales\";;\"3764.77\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4374100\";\"Prevoyance - charges patronales\";;\"121.35\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4375100\";\"Mutuelle - charges patronales\";;\"51.76\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4378100\";\"Titres-restaurant - charges patronales\";;\"105.00\"\n\"31/01/2020\";\"5bb481c9e574a001001d0704\";\"Team\";\"Jetlang\";\"Jetlang\";\"Office\";\"bordeaux\";\"bordeaux\";\"Departement\";;;;;;\"Louis Adamo\";\"4386000\";\"Organismes sociaux - charges a payer\";;\"912.71\"\n"}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["accounting:read"]}]}},"/companies/{companyId}/accounting-v2":{"get":{"operationId":"GET_companyAccountingV2","summary":"Get accounting v2 data 🇫🇷🇬🇧","description":"Only available for FR and UK. Returns accounting data of the company for a given month. For French companies, the data returned is the same than the one in the automatic accounting exports, so the company accounting exports have to be configured properly in order to get details by analytical code, and by employee. For UK companies, the data returned is the same than the one in the automatic payroll journals, so the company payroll journals have to be configured properly in order to get details by employee or by cost center.\n","tags":["Company"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"},{"in":"query","name":"date","schema":{"type":"string","pattern":"^2\\d{3}(0[1-9]|1[0-2])$"},"required":true,"description":"The month to fetch the data for. This must be in the format YYYYMM, January being the month \"01\".","example":202212}],"responses":{"200":{"description":"The accounting JSON of the company for a given month","content":{"application/json":{"schema":{"type":"array","items":{"title":"accounting-v2","type":"object","properties":{"operationDate":{"type":"string","format":"date","description":"Date of the accounting entry."},"analyticCodes":{"type":"array","description":"Composition of all sections the collaborator belongs to in Payfit analytical accounting settings.","items":{"type":"object","properties":{"type":{"type":"string","description":"The type of analytic based on accounting settings (ex: Team).","nullable":true},"code":{"type":"string","description":"The code of analytic based on accounting settings (ex: 6312000).","nullable":true},"value":{"type":"string","description":"The value of analytic based on accounting settings (ex: Sales).","nullable":true}},"required":["type","code","value"]}},"employeeFullName":{"type":"string","description":"The Fullname of the concerned employee.","nullable":true},"contractId":{"type":"string","description":"The contractId of the employee entry.","nullable":true},"accountId":{"type":"string","description":"Refers to an account's unique numerical identifier in an accounting system."},"accountName":{"type":"string","description":"Label of the accounting entry."},"debit":{"type":"number","description":"Amount of the debit operation.","nullable":true},"credit":{"type":"number","description":"Amount of the credit operation.","nullable":true}},"required":["operationDate","analyticCodes","employeeFullName","contractId","accountId","accountName","debit","credit"]}},"example":[{"operationDate":"2020-01-31","analyticCodes":[{"type":"Team","value":"Sales Jetlang","code":"SalesJetlang"},{"type":"Office","value":"paris","code":"paris"},{"type":"Departement","value":null,"code":null}],"employeeFullName":"Alice Adam","contractId":"5dd272fd1cdb18010090e32d","accountId":"6411000","accountName":"Salaires, appointements","debit":4500,"credit":null},{"operationDate":"2020-01-31","analyticCodes":[{"type":"Team","value":"Sales Jetlang","code":"SalesJetlang"},{"type":"Office","value":"paris","code":"paris"},{"type":"Departement","value":null,"code":null}],"employeeFullName":"Alice Adam","contractId":"5dd272fd1cdb18010090e32d","accountId":"6411001","accountName":"Autres elements du brut","debit":44.51,"credit":null},{"operationDate":"2020-01-31","analyticCodes":[{"type":"Team","value":"Sales Jetlang","code":"SalesJetlang"},{"type":"Office","value":"paris","code":"paris"},{"type":"Departement","value":null,"code":null}],"employeeFullName":"Alice Adam","contractId":"5dd272fd1cdb18010090e32d","accountId":"6413000","accountName":"Primes et gratifications","debit":724,"credit":null},{"operationDate":"2020-01-31","analyticCodes":[{"type":"Team","value":"Sales Jetlang","code":"SalesJetlang"},{"type":"Office","value":"paris","code":"paris"},{"type":"Departement","value":null,"code":null}],"employeeFullName":"Alice Adam","contractId":"5dd272fd1cdb18010090e32d","accountId":"6414000","accountName":"Indemnites et avantages divers","debit":37.6,"credit":null},{"operationDate":"2020-01-31","analyticCodes":[{"type":"Team","value":"Sales Jetlang","code":"SalesJetlang"},{"type":"Office","value":"paris","code":"paris"},{"type":"Departement","value":null,"code":null}],"employeeFullName":"Alice Adam","contractId":"5dd272fd1cdb18010090e32d","accountId":"6417000","accountName":"Avantages en nature","debit":78,"credit":null},{"operationDate":"2020-01-31","analyticCodes":[{"type":"Team","value":"Sales Jetlang","code":"SalesJetlang"},{"type":"Office","value":"paris","code":"paris"},{"type":"Departement","value":null,"code":null}],"employeeFullName":"Alice Adam","contractId":"5dd272fd1cdb18010090e32d","accountId":"4210000","accountName":"Personnel - remunerations dues","debit":null,"credit":3753.78}]}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["accounting:read"]}]}},"/companies/{companyId}/payroll-status":{"get":{"operationId":"GET_companyPayrollStatus","summary":"Get Payroll Status 🌍","description":"Returns the payroll status on a given pay period.","tags":["Company"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"},{"in":"query","name":"date","schema":{"type":"string","pattern":"^2\\d{3}(0[1-9]|1[0-2])$"},"required":true,"description":"The month to fetch the data for. This must be in the format YYYYMM, January being the month \"01\".","example":202212}],"responses":{"200":{"description":"The payroll status","content":{"application/json":{"schema":{"title":"payrollStatus","type":"object","properties":{"status":{"type":"string","enum":["completed","not_completed"],"description":"The payroll status"},"executionEndDate":{"type":"string","format":"date-time","nullable":true,"description":"End execution date of the last payroll for the given month.","example":"2022-09-22T11:56:24.221Z"}},"required":["status","executionEndDate"]},"examples":{"payrollStatusCompleted":{"summary":"An example of payroll status completed","value":{"status":"completed","executionEndDate":"2022-09-22T11:56:24.221Z"}},"payrollStatusNotCompleted":{"summary":"An example of payroll status not completed","value":{"status":"not_completed","executionEndDate":null}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":[]}]}},"/companies/{companyId}/income-taxes-documents":{"get":{"operationId":"GET_companyIncomeTaxesDocuments","summary":"Get Income Taxes documents 🇬🇧","description":"Returns all the documents related to income taxes (P45, P60, P11D). This endpoint should only be used for UK companies.\n","tags":["Company"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"}],"responses":{"200":{"description":"The Tax Incomes documents","content":{"application/json":{"schema":{"title":"incomeTaxesDocuments","type":"object","additionalProperties":false,"properties":{"documents":{"type":"array","items":{"title":"incomeTaxesDocument","type":"object","properties":{"documentId":{"type":"string","description":"The id of the document"},"createdAt":{"type":"string","format":"date-time","description":"Date when the file has been created.","example":"2022-09-22T11:56:24.221Z"},"contractId":{"type":"string","description":"The contractId linked to the document"},"type":{"type":"string","enum":["P60","P45","P11D"],"description":"Define the document expectation"},"year":{"type":"string","description":"Legal year of the document"},"month":{"type":"string","description":"Legal month of the document"},"documentUrl":{"type":"string","description":"The Payfit api URL to download the document"}},"required":["documentId","createdAt","contractId","type","year","month","documentUrl"]}}}},"examples":{"documents":{"summary":"An example of documents","value":{"documentId":"123456789","createdAt":"2024-03-13T17:28:29.799Z","contractId":"65bbe20455d8bfbf55d0fdf3","name":"P60-ALICE-DUPOND-13.03.2024.pdf","type":"P60","year":"2024","month":"03","documentUrl":"/companies/5f9b03f75a18101bd958591b/contracts/65bbe20455d8bfbf55d0fdf3/documents/123456789"}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["contracts:payslips:read"]}]}},"/companies/{companyId}/health-insurance-contracts":{"get":{"operationId":"GET_healthInsuranceContracts","summary":"List all Health Insurance contracts 🇫🇷","description":"Returns all Health Insurance contracts.","tags":["Company"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"}],"responses":{"200":{"description":"The health insurance contracts for a given company","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"contracts":{"type":"array","items":{"type":"object","properties":{"idContrat":{"type":"string","description":"The generated PayFit id of the contract"},"refContrat":{"type":"string","description":"The reference of the contract","nullable":true},"codePopulation":{"type":"string","nullable":true},"codeOption":{"type":"string","nullable":true},"affiliatedContractIds":{"type":"array","items":{"type":"string","description":"The id of the contracts of employees of the company that are affiliated to the health insurance contract"}},"modeCalculCotisation":{"type":"string","nullable":true,"enum":["1","2","3",null],"description":"The computation type of the health insurance contribution contract (1: Rate; 2: Fixed amount; 3: Rate and fixed amount)"},"baseDeCotisation":{"type":"string","nullable":true,"enum":["1","2","3","4","5",null],"description":"The contribution base (1: Tiers; 2: Gross salary; 3: Tiers and gross salary; 4: PMSS; 5: Tiers, gross salary, and PMSS)"},"tauxCotisationPatronale":{"type":"number","nullable":true,"description":"The contribution rate supported by employer. Rate from 0 to 1, where 1 represent 100%"},"tauxCotisationSalariale":{"type":"number","nullable":true,"description":"The contribution rate supported by employee. Rate from 0 to 1, where 1 represent 100%"}},"required":["idContrat","refContrat","codePopulation","codeOption","affiliatedContractIds","modeCalculCotisation","baseDeCotisation","tauxCotisationPatronale","tauxCotisationSalariale"]}}},"required":["contracts"]},"examples":{"healthInsuranceContracts":{"summary":"An example of health insurance contracts","value":{"contracts":[{"idContrat":"09977c3c-0ec0-417f-a871-f0e4fe02ed7d","refContrat":"PCC123456789","codePopulation":"15","codeOption":"20","affiliatedContractIds":["646ce15522ce2fd46c8ff724","646ce15522ce2fd46c8ff725"],"modeCalculCotisation":"1","baseDeCotisation":"3","tauxCotisationPatronale":0.001,"tauxCotisationSalariale":0.001},{"idContrat":"ea958903-63c9-46a1-9934-4912f6147da3","refContrat":"XXX123456789","codePopulation":"6","codeOption":"14","affiliatedContractIds":["646ce15522ce2fd46c8ff724","646ce15522ce2fd46c8ff725"],"modeCalculCotisation":"2","baseDeCotisation":"1","tauxCotisationPatronale":0.003,"tauxCotisationSalariale":0.002}]}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["health-insurance:read"]}]}},"/companies/{companyId}/provident-fund-contracts":{"get":{"operationId":"GET_providentFundContracts","summary":"List all Provident Fund contracts 🇫🇷","description":"Returns all Provident Fund contracts.","tags":["Company"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"}],"responses":{"200":{"description":"The provident fund contracts for a given company","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"contracts":{"type":"array","items":{"type":"object","properties":{"idContrat":{"type":"string","description":"The generated PayFit id of the contract"},"refContrat":{"type":"string","description":"The reference of the contract","nullable":true},"codePopulation":{"type":"string","nullable":true},"codeOption":{"type":"string","nullable":true},"affiliatedContractIds":{"type":"array","items":{"type":"string","description":"The id of the contracts of employees of the company that are affiliated to the provident fund contract"}},"modeCalculCotisation":{"type":"string","nullable":true,"enum":["1","2","3",null],"description":"The computation type of the provident fund contribution contract (1: Rate; 2: Fixed amount; 3: Rate and fixed amount)"},"baseDeCotisation":{"type":"string","nullable":true,"enum":["1","2","3","4","5","6",null],"description":"The contribution base (1: Tiers; 2: Gross salary; 3: Tiers and gross salary; 4: PMSS; 5: Tiers, gross salary, and PMSS), 6: Specific basis"}},"required":["idContrat","refContrat","codePopulation","codeOption","affiliatedContractIds","modeCalculCotisation","baseDeCotisation"]}}},"required":["contracts"]},"examples":{"providentFundContracts":{"summary":"An example of provident fund contracts","value":{"contracts":[{"idContrat":"09977c3c-0ec0-417f-a871-f0e4fe02ed7d","refContrat":"PCC123456789","codePopulation":"15","codeOption":"20","affiliatedContractIds":["646ce15522ce2fd46c8ff724","646ce15522ce2fd46c8ff725"],"modeCalculCotisation":"1","baseDeCotisation":"3"},{"idContrat":"ea958903-63c9-46a1-9934-4912f6147da3","refContrat":"XXX123456789","codePopulation":"6","codeOption":"14","affiliatedContractIds":["646ce15522ce2fd46c8ff724","646ce15522ce2fd46c8ff725"],"modeCalculCotisation":"2","baseDeCotisation":"1"}]}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["health-insurance:read"]}]}},"/companies/{companyId}/auto-enrolment-documents":{"get":{"operationId":"GET_companyAutoEnrolmentDocuments","summary":"Get Auto Enrolment documents 🇬🇧","description":"Returns the all documents related to auto enrolment. This endpoint should only be used for UK companies.\n","tags":["Company"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"}],"responses":{"200":{"description":"The Auto Enrolment documents","content":{"application/json":{"schema":{"title":"autoEnrolmentDocuments","type":"object","additionalProperties":false,"properties":{"documents":{"type":"array","items":{"title":"autoEnrolmentLetterDocument","type":"object","properties":{"documentId":{"type":"string","description":"The id of the document"},"createdAt":{"type":"string","format":"date-time","description":"Date when the file has been created.","example":"2022-09-22T11:56:24.221Z"},"contractId":{"type":"string","description":"The contractId linked to the document"},"year":{"type":"string","description":"Legal year of the document"},"month":{"type":"string","description":"Legal month of the document"},"documentUrl":{"type":"string","description":"The Payfit api URL to download the document"}},"required":["documentId","createdAt","contractId","year","month","documentUrl"]}}}},"examples":{"documents":{"summary":"An example of documents","value":{"documentId":"123456789","createdAt":"2024-03-13T17:28:29.799Z","contractId":"65bbe20455d8bfbf55d0fdf3","name":"AUTO-ENROLMENT-LETTER-ALICE-DUPOND-13.03.2024.pdf","year":"2024","month":"03","documentUrl":"/companies/5f9b03f75a18101bd958591b/contracts/65bbe20455d8bfbf55d0fdf3/documents/123456789"}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["pension:read"]}]}},"/companies/{companyId}/documents/{documentId}":{"get":{"operationId":"GET_document_by_id","summary":"Get a company's document 🌍","description":"Returns a company's document. \\ \\ Please note that this endpoint will only work with URLs provided by other endpoints of the PayFit API, such as GET /auto-enrolment-documents or /income-taxes-documents. \\ Other documents are not accessible via this endpoint.","tags":["Company"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"},{"in":"path","name":"documentId","schema":{"type":"string"},"required":true,"description":"The id of the document"}],"responses":{"200":{"description":"The document file requested","content":{"application/pdf":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["contracts:payslips:read"]},{"partner-api-oauth":["pension:read"]}]}},"/companies-fr/{companyId}":{"get":{"operationId":"GET_company_fr","summary":"Get Company 🇫🇷","description":"Returns the basic information of the company with french specific data.","tags":["Company"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"}],"responses":{"200":{"description":"The french fetched company","content":{"application/json":{"schema":{"title":"company-fr","allOf":[{"title":"company","type":"object","properties":{"id":{"type":"string","description":"Id of the company."},"name":{"type":"string","description":"Name of the company."},"country":{"type":"string","x-enum-name":"CountryEnum","enum":["FR","ES","DE","GB","IT"],"description":"Country of the company."},"nbActiveContracts":{"type":"integer","description":"Number of current active contracts within the company."}},"required":["id","name","country","nbActiveContracts"]},{"type":"object","properties":{"siren":{"type":"string","description":"\"Système Identification Répertoire Entreprises\" of the company."},"siret":{"type":"string","description":"\"Système Identification Répertoire Etablissements\" of the company."},"address":{"type":"string","description":"The company's address"},"city":{"type":"string","description":"The city of the company"},"postalCode":{"type":"string","description":"The postal code of the company"},"healthInsuranceProrationMethod":{"type":"string","description":"The method to prorate the health insurance. This field is set only if the 'health-insurance:read' scope is set.","enum":["WORKING_DAYS","CALENDAR_DAYS","THIRTY_DAYS",null],"nullable":true,"x-enum-name":"HealthInsuranceProrationMethodEnum"}},"required":["siren","siret","address","city","postalCode","healthInsuranceProrationMethod"]}]},"examples":{"companyFr":{"summary":"An example of french company","value":{"id":"1234567899","name":"Awesome company","country":"FR","nbActiveContracts":12,"siret":"362 521 879 00034","siren":"362 521 879","address":"1 RUE DE SAINT PETERSBOURG","city":"PARIS","postalCode":"75018","healthInsuranceProrationMethod":"WORKING_DAYS"}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":[]}]}},"/companies-fr/{companyId}/health-insurance-setup-sheets":{"post":{"operationId":"POST_health_insurance_setup_sheets","summary":"Create health insurance contracts from setup sheets 🇫🇷","description":"Allows to create or update health insurance contracts of a company, given setup sheets.  Setup sheets are the documents sent to \"net-entreprises.fr\" when new health insurance or prevoyance contracts are available. Notes : - This is only available for French companies - This is only available to specific partners\n","tags":["Partners only"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"pdfFile":{"type":"string","format":"binary"},"xmlFile":{"type":"string","format":"binary"}},"required":["pdfFile","xmlFile"]}}}},"responses":{"201":{"description":"The setup sheet was correctly sent","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["health-insurance:write"]}]}},"/companies/{companyId}/contracts":{"get":{"operationId":"GET_contracts","summary":"List all Contracts 🌍","description":"Returns all Contracts. This list is paginated.","tags":["Contract"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"},{"in":"query","name":"nextPageToken","required":false,"schema":{"title":"nextPageToken","type":"string","additionalProperties":false},"description":"The encoded pagination token"},{"in":"query","name":"maxResults","required":false,"schema":{"title":"maxResults","type":"string","additionalProperties":false,"default":"10"},"description":"Allows to define the maximum number of items to fetch at once. (Max: 50, Default: 10)"},{"in":"query","name":"includeInProgressContracts","schema":{"type":"string","default":"false"},"required":false,"description":"Allow to returns the in progress contracts (or in creation)"}],"responses":{"200":{"description":"All active, pending and last year archived contracts","content":{"application/json":{"schema":{"title":"contracts","type":"object","additionalProperties":false,"properties":{"contracts":{"type":"array","items":{"title":"contract","allOf":[{"type":"object","title":"contract","allOf":[{"type":"object","title":"timeInformation","description":"It will contain every information related to the time information","properties":{"standardWeeklyHours":{"type":"number","nullable":true,"description":"Weekly hours defined in the contract. It will be available if `contracts:time-information:read` scope is set on the token."},"fullTimeEquivalent":{"type":"number","nullable":true,"description":"Percentage of weekly hours in the contract. It will be available if `contracts:time-information:read` scope is set on the token."},"isFullTime":{"type":"boolean","nullable":true,"description":"Will be set to `true` if `fullTimeEquivalent` is at 1. It will be available if `contracts:time-information:read` scope is set on the token."}},"required":["standardWeeklyHours","fullTimeEquivalent","isFullTime"]},{"type":"object","properties":{"contractId":{"type":"string","description":"Id of the contract."},"companyId":{"type":"string","description":"Id of the contract's company."},"startDate":{"type":"string","format":"date","description":"Contract start date."},"endDate":{"type":"string","format":"date","nullable":true,"description":"Contract end date."},"probationEndDate":{"type":"string","format":"date","nullable":true,"description":"Contract probation end date."},"jobName":{"type":"string","description":"Job name of the employee."},"status":{"description":"Status of the contrat.","type":"string","x-enum-name":"ContractStatusEnum","enum":["ACTIVE","ARCHIVED","PENDING"]},"collaboratorId":{"type":"string","description":"The id of the collaborator linked to the contract."}},"required":["contractId","companyId","startDate","jobName","status","collaboratorId"]}]},{"type":"object","properties":{"firstName":{"type":"string","description":"Firstname of the employee. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"lastName":{"type":"string","description":"Lastname of the employee. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"birthName":{"type":"string","description":"Name given to the employee upon their birth. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"birthDate":{"type":"string","format":"date","description":"Birth date of the employee. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true,"nullable":true},"contactEmail":{"type":"string","nullable":true,"description":"The contact email of the contract. This email is not guaranteed to be a real email or to belong to a real employee since it is not validated by PayFit. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"address":{"type":"string","nullable":true,"description":"The address of the contract. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"city":{"type":"string","nullable":true,"description":"The city address of the contract. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"postalCode":{"type":"string","nullable":true,"description":"The postal code address of the contract. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true}},"required":["firstName","lastName","birthName","birthDate"]}]}},"meta":{"title":"meta","type":"object","additionalProperties":false,"properties":{"nextPageToken":{"type":"string","nullable":true},"count":{"type":"integer","nullable":true}}}}},"examples":{"contracts":{"summary":"An example of contracts","value":{"meta":{"nextPageToken":"eyJsaW1pdCI6NTAsIm9mZnNldCI6NTB9","count":2},"contracts":[{"firstName":"Alice","lastName":"Dupond","birthName":"Martin","birthDate":"1987-04-14","summary":"An example of Alice's contract fr","value":[{"statutConventionnelDsn":"04","natureContratDsn":"08","motifRuptureDeContratDsn":null,"idcc":"0413","healthInsuranceContractIds":["fcaacba9-e790-4cfb-8663-c8531b239d36"],"providentFundContractIds":["fcaacba9-e790-4cfb-8663-c8531b239d37"],"summary":"An example of Alice's contract","value":{"contractId":"5b59e7b282ddef55f860d322","companyId":"5b59e7b182ddef55f860d311","collaboratorId":"6fe3a703-89f5-414d-8190-88f0d80435a3","jobName":"Designer","startDate":"2018-07-12","endDate":null,"probationEndDate":null,"status":"ACTIVE","standardWeeklyHours":35,"fullTimeEquivalent":1,"isFullTime":true}}]},{"firstName":"Bob","lastName":"Martin","birthName":"Dupond","birthDate":"1990-01-01","summary":"An example of Bob's contract fr","value":[{"statutConventionnelDsn":"01","natureContratDsn":"10","motifRuptureDeContratDsn":"998","idcc":"0413","healthInsuranceContractIds":["fcaacba9-e790-4cfb-8663-c8531b239d36"],"providentFundContractIds":["fcaacba9-e790-4cfb-8663-c8531b239d37"],"summary":"An example of Bob's contract","value":{"contractId":"5b59e7b282ddef55f860d325","companyId":"5b59e7b182ddef55f860d311","collaboratorId":"6fe3a703-89f5-414d-8190-88f0d80435a3","jobName":"Architect","startDate":"2017-12-21","status":"ACTIVE","endDate":"2020-07-06","probationEndDate":"2020-07-06","standardWeeklyHours":null,"fullTimeEquivalent":null,"isFullTime":null}}]}]}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["contracts:read"]}]}},"/companies/{companyId}/contracts/time":{"get":{"operationId":"GET_contracts_worked_time","summary":"List all Worked Time by contract 🇫🇷","description":"Returns the worked time for every contract for the given pay period. This list is paginated.","tags":["Contract"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"},{"in":"query","name":"nextPageToken","required":false,"schema":{"title":"nextPageToken","type":"string","additionalProperties":false},"description":"The encoded pagination token"},{"in":"query","name":"maxResults","required":false,"schema":{"title":"maxResults","type":"string","additionalProperties":false,"default":"10"},"description":"Allows to define the maximum number of items to fetch at once. (Max: 50, Default: 10)"},{"in":"query","name":"date","schema":{"type":"string","pattern":"^2\\d{3}(0[1-9]|1[0-2])$"},"required":true,"description":"The month to fetch the data for. This must be in the format YYYYMM, January being the month \"01\".","example":202212}],"responses":{"200":{"description":"Returns the worked time for every contract for the given pay period. Note : this endpoint is only available for French companies for now.","content":{"application/json":{"schema":{"type":"object","required":["contracts","meta"],"properties":{"contracts":{"type":"array","items":{"allOf":[{"title":"time","type":"object","description":"Absences and presence data for employees.","properties":{"effectiveWorkedTime":{"type":"number","nullable":true,"description":"It will be available if `time:read` scope is set on the token."},"payedWorkedTime":{"type":"number","nullable":true,"description":"It will be available if `time:read` scope is set on the token."},"workTimeUnit":{"type":"string","nullable":true,"enum":["days","hours"],"description":"It will be available if `time:read` scope is set on the token."}},"required":["effectiveWorkedTime","payedWorkedTime","workTimeUnit"]},{"type":"object","properties":{"contractId":{"type":"string"}},"required":["contractId"]}]}},"meta":{"title":"meta","type":"object","additionalProperties":false,"properties":{"nextPageToken":{"type":"string","nullable":true},"count":{"type":"integer","nullable":true}}}}},"examples":{"contracts":{"value":{"meta":{"nextPageToken":"eyJsaW1pdCI6NTAsIm9mZnNldCI6NTB9","count":2},"contracts":[{"contractId":"5b59e7b282ddef55f860d322","effectiveWorkedTime":22,"payedWorkedTime":22,"workTimeUnit":"days"},{"contractId":"5b59e7b282ddef55f860d325","effectiveWorkedTime":130,"payedWorkedTime":140,"workTimeUnit":"hours"}]}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["time:read"]}]}},"/companies/{companyId}/contracts/{contractId}":{"get":{"operationId":"GET_contract","summary":"Get a contract 🌍","description":"Returns a contract information by ID.","tags":["Contract"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"},{"in":"path","name":"contractId","schema":{"type":"string"},"required":true,"description":"The id of the contract"}],"responses":{"200":{"description":"Detail of a contract by ID","content":{"application/json":{"schema":{"title":"contract","allOf":[{"type":"object","title":"timeInformation","description":"It will contain every information related to the time information","properties":{"standardWeeklyHours":{"type":"number","nullable":true,"description":"Weekly hours defined in the contract. It will be available if `contracts:time-information:read` scope is set on the token."},"fullTimeEquivalent":{"type":"number","nullable":true,"description":"Percentage of weekly hours in the contract. It will be available if `contracts:time-information:read` scope is set on the token."},"isFullTime":{"type":"boolean","nullable":true,"description":"Will be set to `true` if `fullTimeEquivalent` is at 1. It will be available if `contracts:time-information:read` scope is set on the token."}},"required":["standardWeeklyHours","fullTimeEquivalent","isFullTime"]},{"type":"object","properties":{"contractId":{"type":"string","description":"Id of the contract."},"companyId":{"type":"string","description":"Id of the contract's company."},"startDate":{"type":"string","format":"date","description":"Contract start date."},"endDate":{"type":"string","format":"date","nullable":true,"description":"Contract end date."},"probationEndDate":{"type":"string","format":"date","nullable":true,"description":"Contract probation end date."},"jobName":{"type":"string","description":"Job name of the employee."},"status":{"description":"Status of the contrat.","type":"string","x-enum-name":"ContractStatusEnum","enum":["ACTIVE","ARCHIVED","PENDING"]},"collaboratorId":{"type":"string","description":"The id of the collaborator linked to the contract."}},"required":["contractId","companyId","startDate","jobName","status","collaboratorId"]}]},"examples":{"aliceContract":{"summary":"An example of Alice's contract","value":{"contractId":"5b59e7b282ddef55f860d322","companyId":"5b59e7b182ddef55f860d311","collaboratorId":"6fe3a703-89f5-414d-8190-88f0d80435a3","jobName":"Designer","startDate":"2018-07-12","endDate":null,"probationEndDate":null,"status":"ACTIVE","standardWeeklyHours":35,"fullTimeEquivalent":1,"isFullTime":true}},"bobContract":{"summary":"An example of Bob's contract","value":{"contractId":"5b59e7b282ddef55f860d325","companyId":"5b59e7b182ddef55f860d311","collaboratorId":"6fe3a703-89f5-414d-8190-88f0d80435a3","jobName":"Architect","startDate":"2017-12-21","status":"ACTIVE","endDate":"2020-07-06","probationEndDate":"2020-07-06","standardWeeklyHours":null,"fullTimeEquivalent":null,"isFullTime":null}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["contracts:read"]}]}},"/companies/{companyId}/contracts-fr":{"get":{"operationId":"GET_contracts_fr","summary":"List all Contracts 🇫🇷","description":"Returns all Contracts with french specific data. This list is paginated.","tags":["Contract"],"parameters":[{"in":"path","name":"companyId","schema":{"type":"string"},"required":true,"description":"The id of the company"},{"in":"query","name":"nextPageToken","required":false,"schema":{"title":"nextPageToken","type":"string","additionalProperties":false},"description":"The encoded pagination token"},{"in":"query","name":"maxResults","required":false,"schema":{"title":"maxResults","type":"string","additionalProperties":false,"default":"10"},"description":"Allows to define the maximum number of items to fetch at once. (Max: 50, Default: 10)"},{"in":"query","name":"fields","schema":{"type":"array","items":{"type":"string","enum":["securite-sociale"]},"deprecated":true},"required":false,"description":"Deprecated. The groups of fields to include in the response, in addition to the default fields. | Possible values are \"securite-sociale\" (it will require the `collaborators:social-security:read` oauth scope)"},{"in":"query","name":"includeInProgressContracts","schema":{"type":"string","default":"false"},"required":false,"description":"Allow to returns the in progress contracts (or in creation)"}],"responses":{"200":{"description":"All active, pending and last year archived contracts","content":{"application/json":{"schema":{"title":"contracts-fr","type":"object","additionalProperties":false,"properties":{"contracts":{"type":"array","items":{"title":"contract","allOf":[{"title":"contract","allOf":[{"type":"object","title":"contract","allOf":[{"type":"object","title":"timeInformation","description":"It will contain every information related to the time information","properties":{"standardWeeklyHours":{"type":"number","nullable":true,"description":"Weekly hours defined in the contract. It will be available if `contracts:time-information:read` scope is set on the token."},"fullTimeEquivalent":{"type":"number","nullable":true,"description":"Percentage of weekly hours in the contract. It will be available if `contracts:time-information:read` scope is set on the token."},"isFullTime":{"type":"boolean","nullable":true,"description":"Will be set to `true` if `fullTimeEquivalent` is at 1. It will be available if `contracts:time-information:read` scope is set on the token."}},"required":["standardWeeklyHours","fullTimeEquivalent","isFullTime"]},{"type":"object","properties":{"contractId":{"type":"string","description":"Id of the contract."},"companyId":{"type":"string","description":"Id of the contract's company."},"startDate":{"type":"string","format":"date","description":"Contract start date."},"endDate":{"type":"string","format":"date","nullable":true,"description":"Contract end date."},"probationEndDate":{"type":"string","format":"date","nullable":true,"description":"Contract probation end date."},"jobName":{"type":"string","description":"Job name of the employee."},"status":{"description":"Status of the contrat.","type":"string","x-enum-name":"ContractStatusEnum","enum":["ACTIVE","ARCHIVED","PENDING"]},"collaboratorId":{"type":"string","description":"The id of the collaborator linked to the contract."}},"required":["contractId","companyId","startDate","jobName","status","collaboratorId"]}]},{"type":"object","properties":{"firstName":{"type":"string","description":"Firstname of the employee. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"lastName":{"type":"string","description":"Lastname of the employee. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"birthName":{"type":"string","description":"Name given to the employee upon their birth. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"birthDate":{"type":"string","format":"date","description":"Birth date of the employee. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true,"nullable":true},"contactEmail":{"type":"string","nullable":true,"description":"The contact email of the contract. This email is not guaranteed to be a real email or to belong to a real employee since it is not validated by PayFit. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"address":{"type":"string","nullable":true,"description":"The address of the contract. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"city":{"type":"string","nullable":true,"description":"The city address of the contract. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true},"postalCode":{"type":"string","nullable":true,"description":"The postal code address of the contract. This field is deprecated, you should use the information on the collaborator entity instead.","deprecated":true}},"required":["firstName","lastName","birthName","birthDate"]}],"type":"object"},{"type":"object","title":"contract-fr","allOf":[{"title":"contract","allOf":[{"type":"object","title":"timeInformation","description":"It will contain every information related to the time information","properties":{"standardWeeklyHours":{"type":"number","nullable":true,"description":"Weekly hours defined in the contract. It will be available if `contracts:time-information:read` scope is set on the token."},"fullTimeEquivalent":{"type":"number","nullable":true,"description":"Percentage of weekly hours in the contract. It will be available if `contracts:time-information:read` scope is set on the token."},"isFullTime":{"type":"boolean","nullable":true,"description":"Will be set to `true` if `fullTimeEquivalent` is at 1. It will be available if `contracts:time-information:read` scope is set on the token."}},"required":["standardWeeklyHours","fullTimeEquivalent","isFullTime"]},{"type":"object","properties":{"contractId":{"type":"string","description":"Id of the contract."},"companyId":{"type":"string","description":"Id of the contract's company."},"startDate":{"type":"string","format":"date","description":"Contract start date."},"endDate":{"type":"string","format":"date","nullable":true,"description":"Contract end date."},"probationEndDate":{"type":"string","format":"date","nullable":true,"description":"Contract probation end date."},"jobName":{"type":"string","description":"Job name of the employee."},"status":{"description":"Status of the contrat.","type":"string","x-enum-name":"ContractStatusEnum","enum":["ACTIVE","ARCHIVED","PENDING"]},"collaboratorId":{"type":"string","description":"The id of the collaborator linked to the contract."}},"required":["contractId","companyId","startDate","jobName","status","collaboratorId"]}],"type":"object"},{"type":"object","properties":{"natureContratDsn":{"description":"The nature of the contract. Correspond to the variable DSN \"S21.G00.40.007\" as described in the [\"Cahier technique DSN\"](https://www.net-entreprises.fr/media/documentation/dsn-cahier-technique-2022.1.pdf#ChangementsContrat.StatutConventionnel). Can be null if the contract is in PENDING status.","type":"string","x-enum-name":"FrNatureContractDsnEnum","nullable":true,"enum":["01","02","03","07","08","09","10","20","21","29","32","50","51","52","53","60","70","80","81","82","89","90","91","92","93",null]},"motifRuptureDeContratDsn":{"type":"string","description":"The reason of contract termination. Correspond to the variable DSN \"S21.G00.62.002\" as described in the [\"Cahier technique DSN\"](https://www.net-entreprises.fr/media/documentation/dsn-cahier-technique-2022.1.pdf#ChangementsContrat.StatutConventionnel).","nullable":true,"x-enum-name":"FrMotifRuptureDeContratDsnEnum","enum":["011","012","014","015","020","025","026","031","032","033","034","035","036","037","038","039","043","058","059","065","066","070","071","081","082","083","084","085","086","087","088","089","091","092","093","094","095","096","097","098","099","100","110","111","112","113","114","115","116","998","999",null]},"statutConventionnelDsn":{"x-enum-name":"FrStatutConventionnelDsnEnum","type":"string","nullable":true,"description":"The status of the contract. Correspond to the variable DSN \"S21.G00.40.002\" as described in the [\"Cahier technique DSN\"](https://www.net-entreprises.fr/media/documentation/dsn-cahier-technique-2022.1.pdf#ChangementsContrat.StatutConventionnel). Can be null if the contract is in PENDING status.","enum":["01","02","03","04","05","06","07","08","09","10",null]},"idcc":{"type":"string","description":"The \"identifiant de convention collective\" of the contract. Correspond to the variable DSN \"S21.G00.40.017\" as described in the [\"Cahier technique DSN\"](https://www.net-entreprises.fr/media/documentation/dsn-cahier-technique-2022.1.pdf). If the status of the contract is ARCHIVED, this value might be null.","nullable":true},"healthInsuranceContractIds":{"type":"array","items":{"type":"string"},"nullable":true,"description":"List of the health insurance contracts the contract is affiliated to. It will be available if `health-insurance:read` scope is set on the token."},"providentFundContractIds":{"type":"array","items":{"type":"string"},"nullable":true,"description":"List of the provident funds contracts the contract is affiliated to. It will be available if `health-insurance:read` scope is set on the token."},"estCadreDirigeant":{"type":"boolean","description":"Indicates whether the contract is a contract \"cadre dirigeant\" or not."},"workingTimeModality":{"type":"string","description":"Contractual working time modality. It will be available if `contracts:time-information:read` scope is set on the token.","enum":["standard","forfait_heures","forfait_jours","forfait_annuel_en_heures","forfait_sans_reference_horaire",null],"x-enum-name":"FrWorkingTimeModalityEnum","nullable":true}},"required":["statutConventionnelDsn","natureContratDsn","motifRuptureDeContratDsn","idcc","healthInsuranceContractIds","providentFundContractIds","estCadreDirigeant","workingTimeModality"]}]},{"type":"object","properties":{"numeroTechniqueTemporaire":{"type":"string","nullable":true,"description":"\"Numéro technique temporaire\" of the contract","deprecated":true},"numeroSecuriteSociale":{"type":"string","nullable":true,"description":"\"Numéro de sécurité sociale\" of the contract","deprecated":true}},"required":["numeroTechniqueTemporaire","numeroSecuriteSociale"]}]}},"meta":{"title":"meta","type":"object","additionalProperties":false,"properties":{"nextPageToken":{"type":"string","nullable":true},"count":{"type":"integer","nullable":true}}}}},"examples":{"contracts":{"summary":"An example of french contracts","value":{"meta":{"nextPageToken":"eyJsaW1pdCI6NTAsIm9mZnNldCI6NTB9","count":2},"contracts":[{"numeroSecuriteSociale":296117306512312,"numeroTechniqueTemporaire":null,"summary":"An example of Alice's contract fr","value":[{"statutConventionnelDsn":"04","natureContratDsn":"08","motifRuptureDeContratDsn":null,"idcc":"0413","healthInsuranceContractIds":["fcaacba9-e790-4cfb-8663-c8531b239d36"],"providentFundContractIds":["fcaacba9-e790-4cfb-8663-c8531b239d37"],"summary":"An example of Alice's contract","value":{"contractId":"5b59e7b282ddef55f860d322","companyId":"5b59e7b182ddef55f860d311","collaboratorId":"6fe3a703-89f5-414d-8190-88f0d80435a3","jobName":"Designer","startDate":"2018-07-12","endDate":null,"probationEndDate":null,"status":"ACTIVE","standardWeeklyHours":35,"fullTimeEquivalent":1,"isFullTime":true}}]},{"numeroSecuriteSociale":null,"numeroTechniqueTemporaire":"12963","summary":"An example of Bob's contract fr","value":[{"statutConventionnelDsn":"01","natureContratDsn":"10","motifRuptureDeContratDsn":"998","idcc":"0413","healthInsuranceContractIds":["fcaacba9-e790-4cfb-8663-c8531b239d36"],"providentFundContractIds":["fcaacba9-e790-4cfb-8663-c8531b239d37"],"summary":"An example of Bob's contract","value":{"contractId":"5b59e7b282ddef55f860d325","companyId":"5b59e7b182ddef55f860d311","collaboratorId":"6fe3a703-89f5-414d-8190-88f0d80435a3","jobName":"Architect","startDate":"2017-12-21","status":"ACTIVE","endDate":"2020-07-06","probationEndDate":"2020-07-06","standardWeeklyHours":null,"fullTimeEquivalent":null,"isFullTime":null}}]}]}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":400,"error":"Bad request","details":"Field \"id\" is required."}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":401,"error":"Unauthorized"}}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":403,"error":"Forbidden action","details":"Missing scope \"contracts:read\"."}}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"title":"error","type":"object","additionalProperties":false,"properties":{"error":{"type":"string","description":"A human readable error"},"details":{"oneOf":[{"type":"object","additionalProperties":true},{"type":"string","additionalProperties":true}]},"errors":{"type":"array","items":{"type":"object","additionalProperties":true}}},"required":["error"]},"examples":{"error":{"summary":"An example of an error message","value":{"code":404,"error":"Ressource not found","details":"The provided id is wrong"}}}}}}},"security":[{"partner-api-oauth":["contracts:read"]}]}},"/companies/{companyId}/contracts-fr/{contractId}":{"get":{"operationId":"GET_contract_fr","summary":"Get a contract 🇫🇷","
[...]
